%define _unpackaged_files_terminate_build 1

Name: bluez-gnome
Version: 1.8
Release: alt3

Summary: Bluetooth pairing and control applet
License: GPL, LGPL
Group: Networking/Other
Url: http://www.bluez.org/

Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.gz

Patch0: %name-1.8-suse-fix-sendto.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/535 
Patch1: bluez-gnome-0001-Fix-PS3-BD-remote-pairing.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/559 
Patch2: bluez-gnome-0001-Fixes-for-adapter-specific-buttons.patch
Patch3: bluez-gnome-0002-Move-the-adapter-button-list-to-the-side.patch
Patch4: bluez-gnome-0003-Fix-trust-button.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=466988 
Patch5: bluez-gnome-bluez-apple-wireless-kbd.patch
# http://git.kernel.org/?p=bluetooth/bluez-gnome.git;a=commitdiff;h=7256de93be73f50913f6689a0690e3c0a28dfe3b 
Patch6: bluez-gnome-bluez-wizard-fix-null-display.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=464446 
Patch7: bluez-gnome-0001-Add-support-for-pairing-a-few-GPS-devices.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/650 
Patch8: bluez-gnome-0001-Sort-devices-by-type-in-the-treeviews.patch

BuildPreReq: libgtk+2-devel >= 2.10.0 libgio-devel >= 2.16.0
BuildPreReq: libhal-devel >= 0.5.8 libnotify-devel >= 0.4.3
BuildPreReq: libdbus-glib-devel >= 0.73 intltool GConf
BuildRequires(pre): rpm-build-gnome
BuildRequires(pre): libGConf-devel >= 2.16.0
BuildRequires(pre): desktop-file-utils shared-mime-info

Requires: bluez >= 4.0
Requires: gvfs-backend-obexftp
Requires: obex-data-server

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Networking/Other
Requires: %name = %version-%release

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

Note that it needs obex-data-server for sending files and nautilus for
browsing device contents.

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup
%patch0 -p1
%patch1 -p1 -b .ps3-bd
%patch2 -p1 -b .button
%patch3 -p1 -b .move
%patch4 -p1 -b .trust
%patch5 -p1 -b .apple-kbd
%patch6 -p1 -b .wizard-crash
%patch7 -p1 -b .gps
%patch8 -p1 -b .sorting

%build
%autoreconf
%configure \
	--disable-schemas-install \
	--disable-mime-update \
	--disable-desktop-update \
	--disable-icon-update \
	--enable-pie
%make_build

%install
%make_install DESTDIR=%buildroot install

mkdir -p %buildroot%_datadir/gnome/
mv %buildroot%_sysconfdir/xdg/autostart/ %buildroot%gnome_autostartdir/

desktop-file-install --vendor ""			\
	--add-category=X-GNOME-NetworkSettings		\
	--delete-original				\
        --dir %buildroot%_desktopdir			\
        %buildroot%_desktopdir/bluetooth-properties.desktop

%find_lang bluetooth-manager


%post
%gconf2_install bluetooth-manager

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall bluetooth-manager
fi

%files -f bluetooth-manager.lang
%config %_sysconfdir/gconf/schemas/*
%gnome_autostartdir/*
%_bindir/*
%_desktopdir/*.desktop
%_datadir/mime/packages/*.xml
%_iconsdir/hicolor/*/apps/bluetooth.*
%_man1dir/*
%doc AUTHORS ChangeLog README
%exclude %_bindir/bluetooth-analyzer
%exclude %_desktopdir/bluetooth-analyzer.desktop
%exclude %_datadir/man/man1/bluetooth-analyzer.1.gz

%files analyzer
%_bindir/bluetooth-analyzer
%_desktopdir/bluetooth-analyzer.desktop
%_datadir/man/man1/bluetooth-analyzer.1.gz

%changelog
* Tue Feb 10 2009 Alexey Shabalin <shaba@altlinux.ru> 1.8-alt3
- add fedora's patches
- fix requires from bluez-utils to bluez

* Fri Jan 30 2009 Andrey Rahmatullin <wrar@altlinux.ru> 1.8-alt2
- remove obsolete macros
- fix sendto (SUSE)

* Thu Oct 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.8-alt1
- remove Requires: obex-data-server, add a note to description

* Mon Oct 06 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.8-alt0.1
- 1.8

* Mon Aug 25 2008 Alexey Shabalin <shaba@altlinux.ru> 0.28-alt1
- 0.28

* Mon Jul 07 2008 Alexey Shabalin <shaba@altlinux.ru> 0.27-alt1
- 0.27
- add requires obex-data-server
- move autostart bluetooth-applet from xdg to gnome-autostart
- split package analyzer

* Wed May 28 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.26-alt1
- 0.26

* Wed Dec 26 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.15-alt1
- 0.15

* Sat Sep 22 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.14-alt1
- 0.14

* Fri Aug 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.13-alt1
- 0.13

* Tue Jul 31 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.11-alt1
- 0.11

* Thu Jun 21 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.9-alt1
- 0.9

* Sat Jun 09 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.8-alt1
- 0.8

* Sun May 20 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt1
- 0.7

* Tue Oct 31 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6-alt0.1
- 0.6

* Thu Oct 12 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.5-alt0.1
- 0.5

* Sat Sep 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.4-alt0.1
- initial build
